Commit 5de3cdc8 authored by Isaak Lim's avatar Isaak Lim

fixed a bug where using the VSI plugin could cause an accidental overwrite of...

fixed a bug where using the VSI plugin could cause an accidental overwrite of the previously saved script

refs #1614

git-svn-id: http://www.openflipper.org/svnrepo/OpenFlipper/branches/Free@16832 383ad7c9-94d9-4d36-a494-682f7c89f535
parent 01e9f6be
......@@ -683,6 +683,12 @@ void ScriptingPlugin::showScriptInEditor(QString _code)
if ( OpenFlipper::Options::nogui() )
return;
/*
* this is called from the VSI plugin
* we do not want to overwrite any previously opened scripts
*/
lastFile_ = "";
showScriptWidget ();
scriptWidget_->currentScript->setPlainText(_code);
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment